WinspoolUtil (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: WinspoolUtil

Package com.sun.jna.platform.win32

# Class WinspoolUtil

java.lang.Object
com.sun.jna.platform.win32.WinspoolUtil

public abstract class WinspoolUtil extends Object
Winspool Utility API.

Author:
  dblock[at]dblock.org, Ivan Ridao Freitas, Padrus, Artem Vozhdayenko

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WinspoolUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Winspool.PRINTER_INFO_2[]`
  `getAllPrinterInfo2()`
  Returns printers that are physically attached to the local machine as well as remote printers to which it has a network connection.
  `static Winspool.JOB_INFO_1[]`
  `getJobInfo1(WinNT.HANDLEByReference phPrinter)`
  `static Winspool.PRINTER_INFO_1[]`
  `getPrinterInfo1()`
  `static Winspool.PRINTER_INFO_2[]`
  `getPrinterInfo2()`
  `static Winspool.PRINTER_INFO_2`
  `getPrinterInfo2(String printerName)`
  `static Winspool.PRINTER_INFO_4[]`
  `getPrinterInfo4()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WinspoolUtil

    public WinspoolUtil()

- ## Method Details

  - ### getPrinterInfo1

    public static Winspool.PRINTER_INFO_1[] getPrinterInfo1()

  - ### getPrinterInfo2

    public static Winspool.PRINTER_INFO_2[] getPrinterInfo2()

  - ### getAllPrinterInfo2

    public static Winspool.PRINTER_INFO_2[] getAllPrinterInfo2()
    Returns printers that are physically attached to the local machine as well as remote printers to which it has a network connection.

  - ### getPrinterInfo2

    public static Winspool.PRINTER_INFO_2 getPrinterInfo2(String printerName)

  - ### getPrinterInfo4

    public static Winspool.PRINTER_INFO_4[] getPrinterInfo4()

  - ### getJobInfo1

    public static Winspool.JOB_INFO_1[] getJobInfo1(WinNT.HANDLEByReference phPrinter)